# Comment next line if not RC version
#define rcv     RC3.3
%define rel     1
Name:           klog
Version:        1.4.7
Release:        %mkrel %{?rcv: -c %{rcv}} %{rel}
Summary:        A Ham radio logging program for KDE
Group:          Communications/Radio
License:        GPLv3+
URL:            http://www.klog.xyz
Source0:        https://github.com/ea4k/%{name}/archive/%{version}/%{name}-%{version}%{?rcv:-%{rcv}}.tar.gz
Source1:        klog.desktop
Patch1:         klog-1.4.7-fix-install.patch

BuildRequires:  dos2unix
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(hamlib)
BuildRequires:  pkgconfig(Qt5Charts)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5SerialPort)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
KLog is a Ham radio logging program for Plasma 5

Some features include:

    * DXCC award support.
    * Basic IOTA support.
    * Importing from Cabrillo files.
    * Importing from TLF.
    * Adding/Editing QSOs.
    * Save/read to/from disk file the log - ADIF format by default.
    * English/Spanish/Portuguese/Galician/Serbian/Swedish support.
    * QSL sent/received support.
    * Read/Write ADIF.
    * Delete QSOs.
    * DX-Cluster support.
    * WSJT-X integration. 
    * Hamlib integration.
    * Export to QRZ.com, LOTW and Clublog.

Some features of this application are still under development.

%prep
%autosetup -p1 -n %{name}-%{version}%{?rcv:-%{rcv}}

# Fix line endings
dos2unix TODO

# For some reason all files in 0.9.2.9 are marked executable
find ./ -type f -exec chmod -x {} \;

%build
%qmake_qt5 \
         "PREFIX=%{buildroot}%{_prefix}" \
         "CONFIG+=debug c++14" \
         KLog.pro
%make_build

%install
%make_install

# Install the provided desktop icon
for png in 48x48 64x64 128x128 256x256 512x512; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png img/klog_512x512.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

# Install the provided desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%doc AUTHORS Changelog README TODO
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Sat Feb 06 2021 barjac <barjac> 1.4.7-1.mga8
+ Revision: 1674932
- new version 1.4.7
- updated Source0 now in github
- re-diffed install patch for 1.4.7
- minor addition to description

* Sat Dec 26 2020 daviddavid <daviddavid> 1.4.4-1.mga8
+ Revision: 1663778
- new version: 1.4.4

* Thu Dec 17 2020 umeabot <umeabot> 1.4.3-2.mga8
+ Revision: 1658765
- Rebuild for new Qt5

* Wed Dec 09 2020 daviddavid <daviddavid> 1.4.3-1.mga8
+ Revision: 1654778
- new version: 1.4.3

* Tue Dec 08 2020 daviddavid <daviddavid> 1.4.2-1.mga8
+ Revision: 1654730
- new version: 1.4.2

* Mon Dec 07 2020 barjac <barjac> 1.4-1.mga8
+ Revision: 1654312
- new version 1.4
- Edit spec to build RC versions

* Wed Oct 21 2020 daviddavid <daviddavid> 1.3.2-1.mga8
+ Revision: 1637549
- new version: 1.3.2

* Wed Oct 07 2020 daviddavid <daviddavid> 1.3.1-1.mga8
+ Revision: 1632516
- new version: 1.3.1

* Wed Sep 09 2020 barjac <barjac> 1.2.2-1.mga8
+ Revision: 1623742
- new version 1.2.2

* Tue Sep 01 2020 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1620563
- new version: 1.2.1

* Tue Aug 18 2020 daviddavid <daviddavid> 1.2-1.mga8
+ Revision: 1614720
- new version: 1.2

* Mon May 04 2020 daviddavid <daviddavid> 1.1-1.mga8
+ Revision: 1578693
- new version: 1.1

* Fri Apr 17 2020 daviddavid <daviddavid> 1.0.1-1.mga8
+ Revision: 1567958
- new version: 1.0.1

* Wed Apr 01 2020 daviddavid <daviddavid> 1.0-1.mga8
+ Revision: 1562954
- new version: 1.0

* Thu Feb 20 2020 umeabot <umeabot> 0.9.9.1-2.mga8
+ Revision: 1546335
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 barjac <barjac> 0.9.9.1-1.mga8
+ Revision: 1486355
- rebuild for hamlib-4.0
- new version 0.9.9.1
- sync new upstream tarball(same version)

* Tue Jan 28 2020 barjac <barjac> 0.9.9-1.mga8
+ Revision: 1484209
- new version 0.9.9

* Mon Sep 02 2019 daviddavid <daviddavid> 0.9.8.1-1.mga8
+ Revision: 1436352
- new version: 0.9.8.1

* Tue Aug 20 2019 daviddavid <daviddavid> 0.9.8-1.mga8
+ Revision: 1430384
- new version: 0.9.8

* Sat Mar 30 2019 umeabot <umeabot> 0.9.7.2-2.mga7
+ Revision: 1382602
- Qt5 Rebuild

* Thu Mar 21 2019 daviddavid <daviddavid> 0.9.7.2-1.mga7
+ Revision: 1379359
- new version: 0.9.7.2

* Thu Mar 14 2019 daviddavid <daviddavid> 0.9.7.1-1.mga7
+ Revision: 1376070
- new version: 0.9.7.1

* Thu Mar 07 2019 daviddavid <daviddavid> 0.9.7-1.mga7
+ Revision: 1372180
- new version: 0.9.7

* Thu Dec 27 2018 daviddavid <daviddavid> 0.9.6-1.mga7
+ Revision: 1345215
- new version: 0.9.6

* Wed Oct 31 2018 daviddavid <daviddavid> 0.9.5-1.mga7
+ Revision: 1326829
- new version: 0.9.5

* Thu Aug 30 2018 daviddavid <daviddavid> 0.9.4.1-1.mga7
+ Revision: 1255703
- new version: 0.9.4.1

* Wed Apr 04 2018 daviddavid <daviddavid> 0.9.3-1.mga7
+ Revision: 1215131
- new version: 0.9.3

* Sun Feb 04 2018 daviddavid <daviddavid> 0.9.2.9-1.mga7
+ Revision: 1198855
- initial package klog

